%global modulename npm

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-npm
Version:        6.4.1
Release:        1%{?dist}
Summary:        a package manager for JavaScript

License:        Artistic 2.0
URL:            https://docs.npmjs.com/
Source0:        https://registry.npmjs.org/npm/-/npm-6.4.1.tgz

Patch0: /tmp/tmp-3343PrjAL8guZFjA/npm2srpm-shebang-patch-0.patch
Patch1: /tmp/tmp-3343PrjAL8guZFjA/npm2srpm-shebang-patch-1.patch
Patch2: /tmp/tmp-3343PrjAL8guZFjA/npm2srpm-shebang-patch-2.patch
Patch3: /tmp/tmp-3343PrjAL8guZFjA/npm2srpm-shebang-patch-3.patch
Patch4: /tmp/tmp-3343PrjAL8guZFjA/npm2srpm-shebang-patch-4.patch
Patch5: /tmp/tmp-3343PrjAL8guZFjA/npm2srpm-shebang-patch-5.patch
Patch6: /tmp/tmp-3343PrjAL8guZFjA/npm2srpm-shebang-patch-6.patch
Patch7: /tmp/tmp-3343PrjAL8guZFjA/npm2srpm-shebang-patch-7.patch
Patch8: /tmp/tmp-3343PrjAL8guZFjA/npm2srpm-shebang-patch-8.patch
Patch9: /tmp/tmp-3343PrjAL8guZFjA/npm2srpm-shebang-patch-9.patch
Patch10: /tmp/tmp-3343PrjAL8guZFjA/npm2srpm-shebang-patch-10.patch
Patch11: /tmp/tmp-3343PrjAL8guZFjA/npm2srpm-shebang-patch-11.patch
Patch12: /tmp/tmp-3343PrjAL8guZFjA/npm2srpm-shebang-patch-12.patch
Patch13: /tmp/tmp-3343PrjAL8guZFjA/npm2srpm-shebang-patch-13.patch
Patch14: /tmp/tmp-3343PrjAL8guZFjA/npm2srpm-shebang-patch-14.patch
Patch15: /tmp/tmp-3343PrjAL8guZFjA/npm2srpm-shebang-patch-15.patch
Patch16: /tmp/tmp-3343PrjAL8guZFjA/npm2srpm-shebang-patch-16.patch
Patch17: /tmp/tmp-3343PrjAL8guZFjA/npm2srpm-shebang-patch-17.patch

BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(JSONStream) >= 1.3.4 with npmlib(JSONStream) < 2.0.0))
BuildRequires:  ((npmlib(abbrev) >= 1.1.1 with npmlib(abbrev) < 1.2.0))
BuildRequires:  ((npmlib(ansicolors) >= 0.3.2 with npmlib(ansicolors) < 0.4.0))
BuildRequires:  ((npmlib(ansistyles) >= 0.1.3 with npmlib(ansistyles) < 0.2.0))
BuildRequires:  ((npmlib(aproba) >= 1.2.0 with npmlib(aproba) < 1.3.0))
BuildRequires:  ((npmlib(archy) >= 1.0.0 with npmlib(archy) < 1.1.0))
BuildRequires:  ((npmlib(bin-links) >= 1.1.2 with npmlib(bin-links) < 2.0.0))
BuildRequires:  ((npmlib(bluebird) >= 3.5.1 with npmlib(bluebird) < 3.6.0))
BuildRequires:  ((npmlib(byte-size) >= 4.0.3 with npmlib(byte-size) < 5.0.0))
BuildRequires:  ((npmlib(cacache) >= 11.2.0 with npmlib(cacache) < 12.0.0))
BuildRequires:  ((npmlib(call-limit) >= 1.1.0 with npmlib(call-limit) < 1.2.0))
BuildRequires:  ((npmlib(chownr) >= 1.0.1 with npmlib(chownr) < 1.1.0))
BuildRequires:  ((npmlib(ci-info) >= 1.4.0 with npmlib(ci-info) < 2.0.0))
BuildRequires:  ((npmlib(cli-columns) >= 3.1.2 with npmlib(cli-columns) < 4.0.0))
BuildRequires:  ((npmlib(cli-table3) >= 0.5.0 with npmlib(cli-table3) < 0.6.0))
BuildRequires:  ((npmlib(cmd-shim) >= 2.0.2 with npmlib(cmd-shim) < 2.1.0))
BuildRequires:  ((npmlib(columnify) >= 1.5.4 with npmlib(columnify) < 1.6.0))
BuildRequires:  ((npmlib(config-chain) >= 1.1.11 with npmlib(config-chain) < 1.2.0))
BuildRequires:  ((npmlib(detect-indent) >= 5.0.0 with npmlib(detect-indent) < 5.1.0))
BuildRequires:  ((npmlib(detect-newline) >= 2.1.0 with npmlib(detect-newline) < 3.0.0))
BuildRequires:  ((npmlib(dezalgo) >= 1.0.3 with npmlib(dezalgo) < 1.1.0))
BuildRequires:  ((npmlib(editor) >= 1.0.0 with npmlib(editor) < 1.1.0))
BuildRequires:  ((npmlib(figgy-pudding) >= 3.4.1 with npmlib(figgy-pudding) < 4.0.0))
BuildRequires:  ((npmlib(find-npm-prefix) >= 1.0.2 with npmlib(find-npm-prefix) < 2.0.0))
BuildRequires:  ((npmlib(fs-vacuum) >= 1.2.10 with npmlib(fs-vacuum) < 1.3.0))
BuildRequires:  ((npmlib(fs-write-stream-atomic) >= 1.0.10 with npmlib(fs-write-stream-atomic) < 1.1.0))
BuildRequires:  ((npmlib(gentle-fs) >= 2.0.1 with npmlib(gentle-fs) < 3.0.0))
BuildRequires:  ((npmlib(glob) >= 7.1.2 with npmlib(glob) < 7.2.0))
BuildRequires:  ((npmlib(graceful-fs) >= 4.1.11 with npmlib(graceful-fs) < 4.2.0))
BuildRequires:  ((npmlib(has-unicode) >= 2.0.1 with npmlib(has-unicode) < 2.1.0))
BuildRequires:  ((npmlib(hosted-git-info) >= 2.7.1 with npmlib(hosted-git-info) < 3.0.0))
BuildRequires:  ((npmlib(iferr) >= 1.0.2 with npmlib(iferr) < 2.0.0))
BuildRequires:  ((npmlib(inflight) >= 1.0.6 with npmlib(inflight) < 1.1.0))
BuildRequires:  ((npmlib(inherits) >= 2.0.3 with npmlib(inherits) < 2.1.0))
BuildRequires:  ((npmlib(ini) >= 1.3.5 with npmlib(ini) < 2.0.0))
BuildRequires:  ((npmlib(init-package-json) >= 1.10.3 with npmlib(init-package-json) < 2.0.0))
BuildRequires:  ((npmlib(is-cidr) >= 2.0.6 with npmlib(is-cidr) < 3.0.0))
BuildRequires:  ((npmlib(json-parse-better-errors) >= 1.0.2 with npmlib(json-parse-better-errors) < 2.0.0))
BuildRequires:  ((npmlib(lazy-property) >= 1.0.0 with npmlib(lazy-property) < 1.1.0))
BuildRequires:  ((npmlib(libcipm) >= 2.0.2 with npmlib(libcipm) < 3.0.0))
BuildRequires:  ((npmlib(libnpmhook) >= 4.0.1 with npmlib(libnpmhook) < 5.0.0))
BuildRequires:  ((npmlib(libnpx) >= 10.2.0 with npmlib(libnpx) < 11.0.0))
BuildRequires:  ((npmlib(lock-verify) >= 2.0.2 with npmlib(lock-verify) < 3.0.0))
BuildRequires:  ((npmlib(lockfile) >= 1.0.4 with npmlib(lockfile) < 2.0.0))
BuildRequires:  ((npmlib(lodash._baseuniq) >= 4.6.0 with npmlib(lodash._baseuniq) < 4.7.0))
BuildRequires:  ((npmlib(lodash.clonedeep) >= 4.5.0 with npmlib(lodash.clonedeep) < 4.6.0))
BuildRequires:  ((npmlib(lodash.union) >= 4.6.0 with npmlib(lodash.union) < 4.7.0))
BuildRequires:  ((npmlib(lodash.uniq) >= 4.5.0 with npmlib(lodash.uniq) < 4.6.0))
BuildRequires:  ((npmlib(lodash.without) >= 4.4.0 with npmlib(lodash.without) < 4.5.0))
BuildRequires:  ((npmlib(lru-cache) >= 4.1.3 with npmlib(lru-cache) < 5.0.0))
BuildRequires:  ((npmlib(meant) >= 1.0.1 with npmlib(meant) < 1.1.0))
BuildRequires:  ((npmlib(mississippi) >= 3.0.0 with npmlib(mississippi) < 4.0.0))
BuildRequires:  ((npmlib(mkdirp) >= 0.5.1 with npmlib(mkdirp) < 0.6.0))
BuildRequires:  ((npmlib(move-concurrently) >= 1.0.1 with npmlib(move-concurrently) < 2.0.0))
BuildRequires:  ((npmlib(node-gyp) >= 3.8.0 with npmlib(node-gyp) < 4.0.0))
BuildRequires:  ((npmlib(nopt) >= 4.0.1 with npmlib(nopt) < 4.1.0))
BuildRequires:  ((npmlib(normalize-package-data) >= 2.4.0 with npmlib(normalize-package-data) < 2.5.0))
BuildRequires:  ((npmlib(npm-audit-report) >= 1.3.1 with npmlib(npm-audit-report) < 2.0.0))
BuildRequires:  ((npmlib(npm-cache-filename) >= 1.0.2 with npmlib(npm-cache-filename) < 1.1.0))
BuildRequires:  ((npmlib(npm-install-checks) >= 3.0.0 with npmlib(npm-install-checks) < 3.1.0))
BuildRequires:  ((npmlib(npm-lifecycle) >= 2.1.0 with npmlib(npm-lifecycle) < 3.0.0))
BuildRequires:  ((npmlib(npm-package-arg) >= 6.1.0 with npmlib(npm-package-arg) < 7.0.0))
BuildRequires:  ((npmlib(npm-packlist) >= 1.1.11 with npmlib(npm-packlist) < 2.0.0))
BuildRequires:  ((npmlib(npm-pick-manifest) >= 2.1.0 with npmlib(npm-pick-manifest) < 3.0.0))
BuildRequires:  ((npmlib(npm-profile) >= 3.0.2 with npmlib(npm-profile) < 4.0.0))
BuildRequires:  ((npmlib(npm-registry-client) >= 8.6.0 with npmlib(npm-registry-client) < 9.0.0))
BuildRequires:  ((npmlib(npm-registry-fetch) >= 1.1.0 with npmlib(npm-registry-fetch) < 2.0.0))
BuildRequires:  ((npmlib(npm-user-validate) >= 1.0.0 with npmlib(npm-user-validate) < 1.1.0))
BuildRequires:  ((npmlib(npmlog) >= 4.1.2 with npmlib(npmlog) < 4.2.0))
BuildRequires:  ((npmlib(once) >= 1.4.0 with npmlib(once) < 1.5.0))
BuildRequires:  ((npmlib(opener) >= 1.5.0 with npmlib(opener) < 2.0.0))
BuildRequires:  ((npmlib(osenv) >= 0.1.5 with npmlib(osenv) < 0.2.0))
BuildRequires:  ((npmlib(pacote) >= 8.1.6 with npmlib(pacote) < 9.0.0))
BuildRequires:  ((npmlib(path-is-inside) >= 1.0.2 with npmlib(path-is-inside) < 1.1.0))
BuildRequires:  ((npmlib(promise-inflight) >= 1.0.1 with npmlib(promise-inflight) < 1.1.0))
BuildRequires:  ((npmlib(qrcode-terminal) >= 0.12.0 with npmlib(qrcode-terminal) < 0.13.0))
BuildRequires:  ((npmlib(query-string) >= 6.1.0 with npmlib(query-string) < 7.0.0))
BuildRequires:  ((npmlib(qw) >= 1.0.1 with npmlib(qw) < 1.1.0))
BuildRequires:  ((npmlib(read) >= 1.0.7 with npmlib(read) < 1.1.0))
BuildRequires:  ((npmlib(read-cmd-shim) >= 1.0.1 with npmlib(read-cmd-shim) < 1.1.0))
BuildRequires:  ((npmlib(read-installed) >= 4.0.3 with npmlib(read-installed) < 4.1.0))
BuildRequires:  ((npmlib(read-package-json) >= 2.0.13 with npmlib(read-package-json) < 3.0.0))
BuildRequires:  ((npmlib(read-package-tree) >= 5.2.1 with npmlib(read-package-tree) < 6.0.0))
BuildRequires:  ((npmlib(readable-stream) >= 2.3.6 with npmlib(readable-stream) < 3.0.0))
BuildRequires:  ((npmlib(request) >= 2.88.0 with npmlib(request) < 3.0.0))
BuildRequires:  ((npmlib(retry) >= 0.12.0 with npmlib(retry) < 0.13.0))
BuildRequires:  ((npmlib(rimraf) >= 2.6.2 with npmlib(rimraf) < 2.7.0))
BuildRequires:  ((npmlib(safe-buffer) >= 5.1.2 with npmlib(safe-buffer) < 6.0.0))
BuildRequires:  ((npmlib(semver) >= 5.5.0 with npmlib(semver) < 6.0.0))
BuildRequires:  ((npmlib(sha) >= 2.0.1 with npmlib(sha) < 2.1.0))
BuildRequires:  ((npmlib(slide) >= 1.1.6 with npmlib(slide) < 1.2.0))
BuildRequires:  ((npmlib(sorted-object) >= 2.0.1 with npmlib(sorted-object) < 2.1.0))
BuildRequires:  ((npmlib(sorted-union-stream) >= 2.1.3 with npmlib(sorted-union-stream) < 2.2.0))
BuildRequires:  ((npmlib(ssri) >= 6.0.0 with npmlib(ssri) < 7.0.0))
BuildRequires:  ((npmlib(stringify-package) >= 1.0.0 with npmlib(stringify-package) < 2.0.0))
BuildRequires:  ((npmlib(tar) >= 4.4.6 with npmlib(tar) < 5.0.0))
BuildRequires:  ((npmlib(text-table) >= 0.2.0 with npmlib(text-table) < 0.3.0))
BuildRequires:  ((npmlib(tiny-relative-date) >= 1.3.0 with npmlib(tiny-relative-date) < 2.0.0))
BuildRequires:  ((npmlib(uid-number) = 0.0.6))
BuildRequires:  ((npmlib(umask) >= 1.1.0 with npmlib(umask) < 1.2.0))
BuildRequires:  ((npmlib(unique-filename) >= 1.1.0 with npmlib(unique-filename) < 1.2.0))
BuildRequires:  ((npmlib(unpipe) >= 1.0.0 with npmlib(unpipe) < 1.1.0))
BuildRequires:  ((npmlib(update-notifier) >= 2.5.0 with npmlib(update-notifier) < 3.0.0))
BuildRequires:  ((npmlib(uuid) >= 3.3.2 with npmlib(uuid) < 4.0.0))
BuildRequires:  ((npmlib(validate-npm-package-license) >= 3.0.4 with npmlib(validate-npm-package-license) < 4.0.0))
BuildRequires:  ((npmlib(validate-npm-package-name) >= 3.0.0 with npmlib(validate-npm-package-name) < 3.1.0))
BuildRequires:  ((npmlib(which) >= 1.3.1 with npmlib(which) < 2.0.0))
BuildRequires:  ((npmlib(worker-farm) >= 1.6.0 with npmlib(worker-farm) < 2.0.0))
BuildRequires:  ((npmlib(write-file-atomic) >= 2.3.0 with npmlib(write-file-atomic) < 3.0.0))
BuildRequires:  ((npmlib(debuglog)))
BuildRequires:  ((npmlib(imurmurhash)))
BuildRequires:  ((npmlib(lodash._baseindexof)))
BuildRequires:  ((npmlib(lodash._bindcallback)))
BuildRequires:  ((npmlib(lodash._cacheindexof)))
BuildRequires:  ((npmlib(lodash._createcache)))
BuildRequires:  ((npmlib(lodash._getnative)))
BuildRequires:  ((npmlib(lodash.restparam)))
BuildRequires:  ((npmlib(readdir-scoped-modules)))

Requires:       npmlib(%{modulename}) = %{version}

%description
a package manager for JavaScript

%package 6.4.1
Summary:        a package manager for JavaScript


%description 6.4.1
a package manager for JavaScript

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .mailmap %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Makefile %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr appveyor.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr changelogs %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr configure %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr doc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr html %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr make.bat %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr man %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr scripts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/npm-cli.js %{buildroot}/%{_bindir}/npm
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/npx-cli.js %{buildroot}/%{_bindir}/npx

mkdir -p %{buildroot}%{_mandir}/man1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-access.1 %{buildroot}/%{_mandir}/man1/npm-access.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-adduser.1 %{buildroot}/%{_mandir}/man1/npm-adduser.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-audit.1 %{buildroot}/%{_mandir}/man1/npm-audit.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-bin.1 %{buildroot}/%{_mandir}/man1/npm-bin.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-bugs.1 %{buildroot}/%{_mandir}/man1/npm-bugs.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-build.1 %{buildroot}/%{_mandir}/man1/npm-build.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-bundle.1 %{buildroot}/%{_mandir}/man1/npm-bundle.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-cache.1 %{buildroot}/%{_mandir}/man1/npm-cache.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-ci.1 %{buildroot}/%{_mandir}/man1/npm-ci.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-completion.1 %{buildroot}/%{_mandir}/man1/npm-completion.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-config.1 %{buildroot}/%{_mandir}/man1/npm-config.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-dedupe.1 %{buildroot}/%{_mandir}/man1/npm-dedupe.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-deprecate.1 %{buildroot}/%{_mandir}/man1/npm-deprecate.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-dist-tag.1 %{buildroot}/%{_mandir}/man1/npm-dist-tag.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-docs.1 %{buildroot}/%{_mandir}/man1/npm-docs.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-doctor.1 %{buildroot}/%{_mandir}/man1/npm-doctor.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-edit.1 %{buildroot}/%{_mandir}/man1/npm-edit.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-explore.1 %{buildroot}/%{_mandir}/man1/npm-explore.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-help-search.1 %{buildroot}/%{_mandir}/man1/npm-help-search.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-help.1 %{buildroot}/%{_mandir}/man1/npm-help.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-hook.1 %{buildroot}/%{_mandir}/man1/npm-hook.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-init.1 %{buildroot}/%{_mandir}/man1/npm-init.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-install-ci-test.1 %{buildroot}/%{_mandir}/man1/npm-install-ci-test.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-install-test.1 %{buildroot}/%{_mandir}/man1/npm-install-test.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-install.1 %{buildroot}/%{_mandir}/man1/npm-install.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-link.1 %{buildroot}/%{_mandir}/man1/npm-link.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-logout.1 %{buildroot}/%{_mandir}/man1/npm-logout.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-ls.1 %{buildroot}/%{_mandir}/man1/npm-ls.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-outdated.1 %{buildroot}/%{_mandir}/man1/npm-outdated.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-owner.1 %{buildroot}/%{_mandir}/man1/npm-owner.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-pack.1 %{buildroot}/%{_mandir}/man1/npm-pack.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-ping.1 %{buildroot}/%{_mandir}/man1/npm-ping.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-prefix.1 %{buildroot}/%{_mandir}/man1/npm-prefix.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-profile.1 %{buildroot}/%{_mandir}/man1/npm-profile.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-prune.1 %{buildroot}/%{_mandir}/man1/npm-prune.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-publish.1 %{buildroot}/%{_mandir}/man1/npm-publish.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-README.1 %{buildroot}/%{_mandir}/man1/npm-README.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-rebuild.1 %{buildroot}/%{_mandir}/man1/npm-rebuild.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-repo.1 %{buildroot}/%{_mandir}/man1/npm-repo.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-restart.1 %{buildroot}/%{_mandir}/man1/npm-restart.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-root.1 %{buildroot}/%{_mandir}/man1/npm-root.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-run-script.1 %{buildroot}/%{_mandir}/man1/npm-run-script.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-search.1 %{buildroot}/%{_mandir}/man1/npm-search.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-shrinkwrap.1 %{buildroot}/%{_mandir}/man1/npm-shrinkwrap.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-star.1 %{buildroot}/%{_mandir}/man1/npm-star.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-stars.1 %{buildroot}/%{_mandir}/man1/npm-stars.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-start.1 %{buildroot}/%{_mandir}/man1/npm-start.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-stop.1 %{buildroot}/%{_mandir}/man1/npm-stop.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-team.1 %{buildroot}/%{_mandir}/man1/npm-team.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-test.1 %{buildroot}/%{_mandir}/man1/npm-test.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-token.1 %{buildroot}/%{_mandir}/man1/npm-token.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-uninstall.1 %{buildroot}/%{_mandir}/man1/npm-uninstall.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-unpublish.1 %{buildroot}/%{_mandir}/man1/npm-unpublish.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-update.1 %{buildroot}/%{_mandir}/man1/npm-update.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-version.1 %{buildroot}/%{_mandir}/man1/npm-version.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-view.1 %{buildroot}/%{_mandir}/man1/npm-view.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm-whoami.1 %{buildroot}/%{_mandir}/man1/npm-whoami.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npm.1 %{buildroot}/%{_mandir}/man1/npm.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/npx.1 %{buildroot}/%{_mandir}/man1/npx.1
mkdir -p %{buildroot}%{_mandir}/man5
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man5/npm-folders.5 %{buildroot}/%{_mandir}/man5/npm-folders.5
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man5/npm-global.5 %{buildroot}/%{_mandir}/man5/npm-global.5
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man5/npm-json.5 %{buildroot}/%{_mandir}/man5/npm-json.5
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man5/npm-package-locks.5 %{buildroot}/%{_mandir}/man5/npm-package-locks.5
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man5/npm-shrinkwrap.json.5 %{buildroot}/%{_mandir}/man5/npm-shrinkwrap.json.5
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man5/npmrc.5 %{buildroot}/%{_mandir}/man5/npmrc.5
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man5/package-lock.json.5 %{buildroot}/%{_mandir}/man5/package-lock.json.5
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man5/package.json.5 %{buildroot}/%{_mandir}/man5/package.json.5
mkdir -p %{buildroot}%{_mandir}/man7
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man7/npm-coding-style.7 %{buildroot}/%{_mandir}/man7/npm-coding-style.7
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man7/npm-config.7 %{buildroot}/%{_mandir}/man7/npm-config.7
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man7/npm-developers.7 %{buildroot}/%{_mandir}/man7/npm-developers.7
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man7/npm-disputes.7 %{buildroot}/%{_mandir}/man7/npm-disputes.7
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man7/npm-index.7 %{buildroot}/%{_mandir}/man7/npm-index.7
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man7/npm-orgs.7 %{buildroot}/%{_mandir}/man7/npm-orgs.7
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man7/npm-registry.7 %{buildroot}/%{_mandir}/man7/npm-registry.7
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man7/npm-scope.7 %{buildroot}/%{_mandir}/man7/npm-scope.7
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man7/npm-scripts.7 %{buildroot}/%{_mandir}/man7/npm-scripts.7
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man7/removing-npm.7 %{buildroot}/%{_mandir}/man7/removing-npm.7
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man7/semver.7 %{buildroot}/%{_mandir}/man7/semver.7

mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc AUTHORS
%doc CHANGELOG.md
%doc CONTRIBUTING.md
%doc README.md
%license LICENSE
%{_bindir}/npm
%{_bindir}/npx
%{_mandir}/man1/npm-access.1*
%{_mandir}/man1/npm-adduser.1*
%{_mandir}/man1/npm-audit.1*
%{_mandir}/man1/npm-bin.1*
%{_mandir}/man1/npm-bugs.1*
%{_mandir}/man1/npm-build.1*
%{_mandir}/man1/npm-bundle.1*
%{_mandir}/man1/npm-cache.1*
%{_mandir}/man1/npm-ci.1*
%{_mandir}/man1/npm-completion.1*
%{_mandir}/man1/npm-config.1*
%{_mandir}/man1/npm-dedupe.1*
%{_mandir}/man1/npm-deprecate.1*
%{_mandir}/man1/npm-dist-tag.1*
%{_mandir}/man1/npm-docs.1*
%{_mandir}/man1/npm-doctor.1*
%{_mandir}/man1/npm-edit.1*
%{_mandir}/man1/npm-explore.1*
%{_mandir}/man1/npm-help-search.1*
%{_mandir}/man1/npm-help.1*
%{_mandir}/man1/npm-hook.1*
%{_mandir}/man1/npm-init.1*
%{_mandir}/man1/npm-install-ci-test.1*
%{_mandir}/man1/npm-install-test.1*
%{_mandir}/man1/npm-install.1*
%{_mandir}/man1/npm-link.1*
%{_mandir}/man1/npm-logout.1*
%{_mandir}/man1/npm-ls.1*
%{_mandir}/man1/npm-outdated.1*
%{_mandir}/man1/npm-owner.1*
%{_mandir}/man1/npm-pack.1*
%{_mandir}/man1/npm-ping.1*
%{_mandir}/man1/npm-prefix.1*
%{_mandir}/man1/npm-profile.1*
%{_mandir}/man1/npm-prune.1*
%{_mandir}/man1/npm-publish.1*
%{_mandir}/man1/npm-README.1*
%{_mandir}/man1/npm-rebuild.1*
%{_mandir}/man1/npm-repo.1*
%{_mandir}/man1/npm-restart.1*
%{_mandir}/man1/npm-root.1*
%{_mandir}/man1/npm-run-script.1*
%{_mandir}/man1/npm-search.1*
%{_mandir}/man1/npm-shrinkwrap.1*
%{_mandir}/man1/npm-star.1*
%{_mandir}/man1/npm-stars.1*
%{_mandir}/man1/npm-start.1*
%{_mandir}/man1/npm-stop.1*
%{_mandir}/man1/npm-team.1*
%{_mandir}/man1/npm-test.1*
%{_mandir}/man1/npm-token.1*
%{_mandir}/man1/npm-uninstall.1*
%{_mandir}/man1/npm-unpublish.1*
%{_mandir}/man1/npm-update.1*
%{_mandir}/man1/npm-version.1*
%{_mandir}/man1/npm-view.1*
%{_mandir}/man1/npm-whoami.1*
%{_mandir}/man1/npm.1*
%{_mandir}/man1/npx.1*
%{_mandir}/man5/npm-folders.5*
%{_mandir}/man5/npm-global.5*
%{_mandir}/man5/npm-json.5*
%{_mandir}/man5/npm-package-locks.5*
%{_mandir}/man5/npm-shrinkwrap.json.5*
%{_mandir}/man5/npmrc.5*
%{_mandir}/man5/package-lock.json.5*
%{_mandir}/man5/package.json.5*
%{_mandir}/man7/npm-coding-style.7*
%{_mandir}/man7/npm-config.7*
%{_mandir}/man7/npm-developers.7*
%{_mandir}/man7/npm-disputes.7*
%{_mandir}/man7/npm-index.7*
%{_mandir}/man7/npm-orgs.7*
%{_mandir}/man7/npm-registry.7*
%{_mandir}/man7/npm-scope.7*
%{_mandir}/man7/npm-scripts.7*
%{_mandir}/man7/removing-npm.7*
%{_mandir}/man7/semver.7*
%{nodejs_dir}/%{modulename}

%files 6.4.1
%doc AUTHORS
%doc CHANGELOG.md
%doc CONTRIBUTING.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 6.4.1-1
- Package automatically generated by npm2srpm
